Page MenuHomePhabricator

Watch pages for a few days only (add an expiry time)
Open, Stalled, LowestPublic

Description

Author: mets501wiki

Description:
I'm proposing the addition of another check box on edit pages, next to "This is
a minor edit" and "Watch this page", a "Watch this page temporarily" box.
Checking the "Watch this page temporarily" box would put pages on a user's
watchlist for a few days, say 5 for example. This is because often when leaving
messages on talk pages or on user talk pages, etc. you just want to watch the
page for a few days to wait for a response. After a few days, the page would be
automatically removed from your watchlist. What do you think?

Details

Reference
bz6964

Event Timeline

bzimport raised the priority of this task from to Lowest.Nov 21 2014, 9:19 PM
bzimport added a project: MediaWiki-Watchlist.
bzimport set Reference to bz6964.
bzimport added a subscriber: Unknown Object (MLST).
bzimport created this task.Aug 9 2006, 9:52 PM

Sebastian wrote:

I don't think it would be a good to use time since message as a cutoff criterion, because there are huge differences in how long it takes for people to reply. Some editors log in only casually, and such a setting would lose their replies.

Instead, I think it would make sense to use a criterion like "5 days after recipient_reply", where "recipient_reply" would be technically defined like this: Let Senderi be the user whose settings we're talking about. Sender left a message on [[User talk:Recipient]]. Then "recipient_reply" is the first edit by Recipient on [[User talk:Recipient]].

Changed component to "Watchlist"

demon added a comment.May 1 2009, 3:50 PM
  • Bug 18644 has been marked as a duplicate of this bug. ***

Adding the word "expiry" to summary for better searching.

ramwikimedia wrote:

*** Bug 48879 has been marked as a duplicate of this bug. ***

I wonder if it makes sense to add a generic field to the watchlist table for metadata, allowing each watched title to have associated data.

This metadata field could have a number of purposes:

  • a user script could be employed to track when pages were added to the watchlist
  • users could add annotations to specific entries to remember why they watched a particular page title
  • users could tag certain entries with keywords and a user script would allow filtering the watchlist entries by particular tags/keywords

The UI exposure would be minimal (or non-existent), but user scripts or extensions could use this field as they wanted. Hmmm.

(In reply to MZMcBride from comment #6)

I wonder if it makes sense to add a generic field to the watchlist table for
metadata, allowing each watched title to have associated data.
This metadata field could have a number of purposes:

  • a user script could be employed to track when pages were added to the

watchlist

  • users could add annotations to specific entries to remember why they

watched a particular page title

  • users could tag certain entries with keywords and a user script would

allow filtering the watchlist entries by particular tags/keywords
The UI exposure would be minimal (or non-existent), but user scripts or
extensions could use this field as they wanted. Hmmm.

+1
This is a great idea.

Meno25 removed a subscriber: Meno25.Jan 28 2016, 9:13 AM
Jdforrester-WMF reopened this task as Open.Feb 2 2016, 2:10 AM
Jdforrester-WMF added a subscriber: Jdforrester-WMF.

Re-opening; we always merge down, not up, and in this case T100508 is a sub-set of the intent of this task.

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 2 2016, 2:11 AM
Addshore updated the task description. (Show Details)Feb 4 2016, 10:41 AM
Addshore set Security to None.
Qgil removed a subscriber: Qgil.Feb 11 2016, 12:41 PM
Restricted Application added a subscriber: Luke081515. · View Herald TranscriptApr 20 2016, 8:11 PM
Addshore changed the task status from Open to Stalled.Mar 21 2017, 11:51 AM
Addshore added a subscriber: Addshore.

Stalled pending resuming work here once wl_id is deployed on wmf sites (T130067).

Restricted Application added a project: Growth-Team. · View Herald TranscriptNov 18 2018, 7:17 PM
He7d3r added a subscriber: He7d3r.Nov 25 2018, 1:37 PM
Izno added a subscriber: Izno.Jul 17 2019, 1:52 PM
kostajh moved this task from Inbox to External on the Growth-Team board.Jul 18 2019, 1:00 AM
kostajh added a subscriber: kostajh.

Community-Tech is investigating this so marking as external. It's not something Growth-Team could work on in the short-to-medium term anyhow.

Restricted Application added a project: Community-Tech. · View Herald TranscriptOct 25 2019, 7:58 PM